%global pypi_name django-discover-runner

Name:           python-%{pypi_name}
Version:        1.0
Release:        3%{?dist}
Summary:        A Django test runner based on unittest2's test discovery

License:        BSD
URL:            http://pypi.python.org/pypi/django-discover-runner/%{version}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-unittest2


%description
An alternative Django TEST_RUNNER which uses the unittest2 test discovery
from a base path specified in the settings, or any other module or package
specified to the test management command -- including app tests.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python_sitelib}/discover_runner
%{python_sitelib}/django_discover_runner-%{version}-py?.?.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Matthias Runge <mrunge@redhat.com> - 1.0-1
- update to upstream version 1.0 (rhbz#976022)

* Tue Jun 11 2013 Matthias Runge <mrunge@redhat.com> - 0.4-1
- update to upstream version 0.4

* Fri Feb 08 2013 Matthias Runge <mrunge@redhat.com> - 0.3-2
- include license from upstream

* Wed Feb 06 2013 Matthias Runge <mrunge@redhat.com> - 0.3-1
- Initial package.
